<!-- Copyright 2017 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/cr_checkbox/cr_checkbox.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<if expr="_google_chrome">
  <link rel="import" href="chrome://oobe/sync-consent-icons.html">
</if>

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<dom-module id="sync-consent-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="sync_consent.css">

    <!-- Traditional dialog. This can be deleted when SplitSettingsSync is the
         default. -->
    <oobe-dialog id="syncConsentOverviewDialog" role="dialog" has-buttons
        aria-label$="[[i18nDynamic(locale, 'syncConsentScreenTitle')]]"
        for-step="no-split">
      <hd-iron-icon slot="oobe-icon" icon1x="sync-consent-32:googleg" icon2x="sync-consent-64:googleg">
      </hd-iron-icon>
      <h1 slot="title" consent-description>
        [[i18nDynamic(locale, 'syncConsentScreenTitle')]]
      </h1>
      <div slot="footer" class="layout vertical">
        <div class="overview-list-item flex layout horizontal center">
          <hd-iron-icon class="overview-list-item-icon" src1x="chrome://oobe/logo_24px-1x.svg"
            src2x="chrome://oobe/logo_24px-2x.svg">
          </hd-iron-icon>
          <div class="flex layout vertical center-justified">
            <div role="heading" aria-level="2" class="overview-list-item-title" consent-description>
              [[i18nDynamic(locale, 'syncConsentScreenChromeSyncName')]]
            </div>
            <div class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale, 'syncConsentScreenChromeSyncDescription')]]
            </div>
          </div>
        </div>
        <div class="overview-list-item flex layout horizontal center">
          <hd-iron-icon class="overview-list-item-icon" icon1x="sync-consent-32:googleg"
            icon2x="sync-consent-64:googleg">
          </hd-iron-icon>
          <div class="flex layout vertical center-justified">
            <div role="heading" aria-level="2" class="overview-list-item-title" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesName')]]
            </div>
            <div hidden=[[isChildAccount_]] class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesDescription')]]
            </div>
            <div hidden=[[!isChildAccount_]] class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesDescriptionSupervisedUser')]]
            </div>
          </div>
        </div>
        <cr-checkbox id="reviewSettingsBox" consent-description>
          [[i18nDynamic(locale, 'syncConsentReviewSyncOptionsText')]]
        </cr-checkbox>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button class="focus-on-show" inverse
            id="settingsSaveAndContinueButton"
            on-click="onSettingsSaveAndContinue_"
            label-for-aria="[[i18nDynamic(locale,
                                          'syncConsentAcceptAndContinue')]]">
          <div slot="text" consent-description consent-confirmation>
            [[i18nDynamic(locale, 'syncConsentAcceptAndContinue')]]
          </div>
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <!-- Dialog used with the SplitSettingsSync feature. -->
    <oobe-dialog id="splitSettingsSyncConsentDialog" role="dialog" has-buttons
        aria-label$="[[i18nDynamic(locale, 'syncConsentScreenTitle')]]"
        for-step="split">
      <hd-iron-icon slot="oobe-icon" icon1x="sync-consent-32:googleg" icon2x="sync-consent-64:googleg">
      </hd-iron-icon>
      <h1 slot="title" consent-description>
        [[i18nDynamic(locale, 'syncConsentScreenTitle')]]
      </h1>
      <div slot="subtitle" consent-description>
        [[i18nDynamic(locale, 'syncConsentScreenSubtitle')]]
      </div>
      <div slot="footer" class="layout vertical flex">

        <!-- "Chrome OS settings sync" -->
        <div class="overview-list-item layout horizontal center">
          <img class="overview-list-item-icon" src="images/settings_gear.svg"
              width="24" height="24" aria-hidden="true">
          <div class="flex layout vertical center-justified">
            <div role="heading" aria-level="2" class="overview-list-item-title" id="osSyncName" consent-description>
              [[i18nDynamic(locale, 'syncConsentScreenOsSyncName')]]
            </div>
            <div class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale, 'syncConsentScreenOsSyncDescription')]]
            </div>
          </div>
        </div>

        <!-- "Chrome browser sync" -->
        <div class="overview-list-item layout horizontal center">
          <img class="overview-list-item-icon" src="images/browser_sync.svg"
              width="24" height="24" aria-hidden="true">
          <div class="flex layout vertical center-justified">
            <div role="heading" aria-level="2" class="overview-list-item-title" consent-description
              id="browserSyncName">
              [[i18nDynamic(locale, 'syncConsentScreenChromeBrowserSyncName')]]
            </div>
            <div class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale, 'syncConsentScreenChromeSyncDescription')]]
            </div>
          </div>
        </div>

        <!-- Personalize Google services -->
        <div class="overview-list-item layout horizontal center">
          <hd-iron-icon class="overview-list-item-icon" icon1x="sync-consent-32:googleg"
            icon2x="sync-consent-64:googleg">
          </hd-iron-icon>
          <div class="flex layout vertical center-justified">
            <div role="heading" aria-level="2" class="overview-list-item-title" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesName')]]
            </div>
            <div hidden=[[isChildAccount_]] class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesDescription')]]
            </div>
            <div hidden=[[!isChildAccount_]] class="overview-list-item-description" consent-description>
              [[i18nDynamic(locale,
              'syncConsentScreenPersonalizeGoogleServicesDescriptionSupervisedUser')]]
            </div>
          </div>
        </div>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="declineButton" on-click="onDeclineTap_"
            label-for-aria="[[i18nDynamic(locale,
                                          'syncConsentScreenDecline')]]">
          <div slot="text" consent-description consent-confirmation>
            [[i18nDynamic(locale, 'syncConsentScreenDecline')]]
          </div>
        </oobe-text-button>
        <oobe-text-button id="acceptButton" on-click="onAcceptTap_"
            class="focus-on-show" inverse
            label-for-aria="[[i18nDynamic(locale,
                                          'syncConsentScreenAccept')]]">
          <div slot="text" consent-description consent-confirmation>
            [[i18nDynamic(locale, 'syncConsentScreenAccept')]]
          </div>
        </oobe-text-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="sync-loading" role="dialog" no-header no-footer-padding
        for-step="loading">
      <div slot="footer" class="flex layout vertical center center-justified">
        <throbber-notice text-key="gaiaLoading">
        </throbber-notice>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
